%define name xmms-more-vis-plugins
%define version 1.8.0
%define release 9mdk

%define plug0 jakdaw-0.0.4
%define plug1 synaesthesia-xmms-0.0.3-rc3
%define plug2 xmms_speakers-2.01
%define plug3 infinity-plugin-0.6.0
%define plug4 bump_scope-0.0.3
%define plug5 JESS-2.9.1
%define plug6 gforce-1.1.6xp3
%define plug7 paranormal-0.2.0
%define plug8 iris-0.12
%define plug9 wmdiscotux-1.3
%define plug10 xmms-nebulus-0.7.0
%define plug11 goom2k4-dev15
%define plug12 xmms-vigor-0.1.1

%define major 0
%define libname %mklibname goom2_ %major

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XMMS - More visualization plugins.
Source0:	http://www.jakdaw.ucam.org/xmms/%{plug0}.tar.bz2
Source1:	http://staff.xmms.org/zinx/xmms/%{plug1}.tar.bz2
Source2:	http://home.swipnet.se/~w-92416/plugins/%{plug2}.tar.bz2
Source3:	http://wmdiscotux.stc.cx/%{plug9}.tar.bz2
Source4:	http://prdownloads.sourceforge.net/infinity-plugin/%{plug3}.tar.bz2
Source5:	http://staff.xmms.org/zinx/xmms/%{plug4}.tar.bz2
Source6:	http://arquier.free.fr/%{plug5}.tar.bz2
Source7:	%{plug6}.tar.bz2
Source8:	http://prdownloads.sourceforge.net/paranormal/%{plug7}.tar.bz2
Source9:	http://cdelfosse.free.fr/xmms-iris/%{plug8}.tar.bz2
Source10:	http://nebulus.tuxfamily.org/%{plug10}.tar.bz2
Source11:	http://ios.free.fr/%{plug11}.tar.bz2
Source12:	http://heanet.dl.sourceforge.net/sourceforge/vigor/%{plug12}.tar.bz2
Source100:	ltconfig.bz2
Patch20:	xmms_speakers-2.01.patch.bz2
Patch0:		jakdaw-gcc2.96.patch.bz2
Patch100:	xmms-nebulus-0.7.0-dont-stop-right-after-start.patch.bz2
Patch10:	synaesthesia-xmms-0.0.3-gcc3.4.patch.bz2
Patch30:	xmms-infinity-0.6.0-no-mmx-fix.patch.bz2
Patch40:	bump_scope-0.0.3-gcc3.4.patch.bz2

Patch52:	jess-2.9.1-gcc3.4.patch.bz2
Patch60:	gforce-fix-compile.patch.bz2
Patch61:	gforce-1.1.6xp3.dga.patch.bz2
Patch62:	gforce-libsupc++.patch.bz2
Patch63:	gforce-1.1.6xp3-dont-segfault-when-toggling-fullscreen-as-nonroot.patch.bz2
Patch70:	paranormal-0.2.0-fix-xml-detection.patch.bz2
Patch71:	paranormal-0.2.0-gcc3.4.patch.bz2
Patch90:	wmdiscotux-1.3.patch.bz2
Patch91:	wmdiscotux-1.3.-gcc3.3.patch.bz2
Patch92:	wmdiscotux-gcc2.96.patch.bz2
Patch112:	goom2k4-disable-mmx.patch.bz2
License:	GPL
Group:		Sound
URL:		http://www.xmms.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xmms >= 1.0.0
# (gc) yes the binary of xmms is tested for existence in the configure script
BuildRequires:	SDL-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	libxml2-devel
BuildRequires:	xmms-devel
BuildRequires:	xmms
BuildRequires:	texinfo
BuildRequires:	automake1.4
BuildRequires:	automake1.7
BuildRequires:	automake1.8
#gw for running aclocal, needed by infinity-plugin
BuildRequires:	glib-gettextize
BuildRequires:  chrpath
Obsoletes:	xmms-goom
ExclusiveArch:	%{ix86} ppc

%description
More visualization plugins, from the best ones found on the home page of xmms
(http://www.xmms.org).

This package provides the following plugins:
- Jakdaw's plugin (blur oscilloscope),
- Infinity (interactive blur light effects),
- Synaesthesia (blur spots),
- wmdiscotux (tux moving on the music),
- Bump scope (bump version of the blur scope),
- G-Force (similar to Winamp Geiss),
- Jess (blur and deformation oscilloscope),
- Paranormal (pseudo-programmable audio visualization library, based
  (conceptually) on Winamp's AVS plugin),
- Iris OpenGL spectrum analyzer,
- Nebulus demo-like effects,
- Goom (multiple visual effects).

%package unsafe
Summary: XMMS - More visualization plugins (unsafe ones, often segfault...)
Group: Sound

%description unsafe
More visualization plugins. These ones are a bit dangerous and often cause
XMMS to segfault. Use at your own risk.

It provides the following plugins:
- xmms speakers.

%package -n %libname
Group: System/Libraries
Summary: Shared library part of the Goom visualization plugin

%description -n %libname
What a GOOM! version 2. This is a visualization plugin for xmms and
other media players.

%package -n %libname-devel
Group: Development/C
Summary: Development files of the Goom visualization plugin
Requires: %libname = %version-%release
Provides: libgoom2-devel = %version-%release

%description -n %libname-devel
What a GOOM! version 2. This is a visualization plugin for xmms and
other media players. 

Install this if you want to embed the GOOM! in your own programs.

%prep
%setup -q -c
%setup -q -c -a 0 -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12
%patch0
%patch10
%patch20
%patch30
%patch40 
%patch52
%patch60
%patch61
%patch62
%patch63 -p1
%patch70
%patch71
%patch90
%patch91
%patch92
%patch100 -p1
%patch112 -b .nommx

# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h"   -exec perl -pi -e '$_.="\n" if eof' {} \;
# have ltconfig-1.3.5 so that libtool will manager to create a .so even if some XFree extensions are not available as .so
bzcat %{SOURCE100} > %{plug7}/ltconfig
# mkdirhier is just mkdir -p, but it's in XFree86, and I don't want to BuildRequires XFree86 for this nonsense
perl -pi -e 's/mkdirhier/mkdir -p/' gforce*/Makefile*

%build
cd %{plug0}
rm -f configure
aclocal-1.7
autoconf
automake-1.7 -a
%configure2_5x
%make
cd ..

cd %{plug9}
%make
cd ..

cd %{plug11}
aclocal-1.7
autoconf
automake-1.7 -a -c
#gw no parallel build
%configure2_5x
make
#gw prevent relinking
perl -pi -e "s!relink_command.*!!" src/libxmmsgoom2.la
cd ..

for i in %{plug1} %{plug4} %{plug5}
do
  cd $i
  %configure
  %make
  cd ..
done

cd %{plug2}
rm -f configure
aclocal-1.4
autoconf
automake-1.4
%configure2_5x --libdir=%{_libdir}/xmms/Visualization
%make
cd ..
 
cd %{plug3}
rm -f config.cache
aclocal-1.8
automake-1.8
autoconf
%configure2_5x \
%ifarch ppc
  --disable-mmx
%endif
#gw cflags problem
%make CC="gcc -I."
cd ..

cd %{plug6}
rm -f configure
aclocal-1.4
autoheader
automake-1.4
autoconf
%configure2_5x
make
cd ..

cd  %{plug7}
rm -f configure
aclocal-1.4
libtoolize --copy --force
automake-1.4
autoconf
%configure2_5x
%make
cd ..

cd  %{plug12}
rm -f configure
aclocal-1.8
libtoolize --copy --force
automake-1.8
autoconf
%configure2_5x
%make
cd ..

for i in %{plug8} %{plug10}
do
  cd $i
  %configure2_5x
  %make
  cd ..
done

%install
rm -rf $RPM_BUILD_ROOT doc/vigor
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

cd %{plug11}
%makeinstall_std
chrpath -d %buildroot/%_libdir/xmms/Visualization/libxmmsgoom2.so
#gw let's not ship this
rm -f %buildroot%_bindir/goom2
cd ..

for i in %{plug0} %{plug1} %{plug2} %{plug4} %{plug5} %{plug6} %{plug7} %{plug8} %{plug10} %{plug12}
do
  cd $i
  %makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
  cd ..
done

cd %{plug3}
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
mkdir %buildroot/%_datadir/xmms/
mv %buildroot/%_datadir/infinite_states %buildroot/%_datadir/xmms/
cd ..

install -m 755 %{plug9}/libwmdiscotux.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

install -m 755 %{plug5}/.libs/* $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization

# setup various docs
mkdir -p doc/jakdaw
cp %{plug0}/{AUTHORS,NEWS,COPYING,README,ChangeLog,INSTALL} doc/jakdaw
mkdir -p doc/synaesthesia
cp %{plug1}/{AUTHORS,NEWS,COPYING,README,ChangeLog,INSTALL} doc/synaesthesia 
mkdir -p doc-unsafe/xmms_speakers 
cp %{plug2}/{AUTHORS,BUGS,COPYING,ChangeLog,README,README.themes} doc-unsafe/xmms_speakers
mkdir -p doc/infinity
cp %{plug3}/{AUTHORS,REPORT-BUGS,COPYING,TODO,ChangeLog,NEWS,README,HISTORY} doc/infinity
mkdir -p doc/bump_scope
cp %{plug4}/{AUTHORS,COPYING,NEWS,ChangeLog,README,INSTALL} doc/bump_scope
mkdir -p doc/jess
cp %{plug5}/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README} doc/jess
mkdir -p doc/gforce
cp %{plug6}/{AUTHORS,INSTALL,COPYING,ChangeLog,NEWS,README,README.2.0,TODO} doc/gforce
cp -r %{plug6}/docs doc/gforce
mkdir -p doc/paranormal
cp %{plug7}/{AUTHORS,COPYING,ChangeLog,INSTALL,README,TODO} doc/paranormal
mkdir -p doc/iris
cp  %{plug8}/{AUTHORS,TODO,COPYING,ChangeLog,NEWS,INSTALL,README} doc/iris
mkdir -p doc/wmdiscotux
cp %{plug9}/{COPYING,README} doc/wmdiscotux
mkdir -p doc/nebulus
cp %{plug10}/{AUTHORS,COPYING,ChangeLog,INSTALL,README} doc/nebulus
#mkdir -p doc/goom
#mv %{plug11}/{AUTHORS,KNOWNBUGS,BENCHMARKS,COPYING,ChangeLog,NEWS,INSTALL,README} doc/goom
mkdir -p doc/vigor
cp %{plug12}/{README,AUTHORS,COPYING,ChangeLog,HACKING,INSTALL,NEWS} doc/vigor

rm -f $RPM_BUILD_ROOT/%{_bindir}/{gforce,paranormal,pndoc}
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization/libjess.lai
rm -f $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization/*.o

%find_lang infinity-plugin
%find_lang xmms-nebulus
cat xmms-nebulus.lang >> infinity-plugin.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f infinity-plugin.lang
%defattr(-,root,root)
%doc doc/*
%{_libdir}/xmms/Visualization/*
%{_datadir}/xmms/infinite_states
%{_datadir}/xmms-vigor
%{_datadir}/gforce
%exclude %{_libdir}/xmms/Visualization/libxmms_speakers*

%files unsafe
%defattr(-,root,root)
%doc doc-unsafe/*
%{_libdir}/xmms/Visualization/libxmms_speakers*

%files -n %libname
%defattr(-,root,root)
%_libdir/libgoom2.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/libgoom2.so
%_libdir/libgoom2.la
%_includedir/goom/
%_libdir/pkgconfig/libgoom2.pc

%changelog
* Mon Feb 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.0-9mdk
- disable mmx on ppc for infinity
- Patch30: fix infinity build when mmx detection disabled

* Fri Nov 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-8mdk
- infinity-plugin-0.6.0

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-7mdk
- infinity-plugin-0.5.9

* Thu Aug 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-6mdk
- add nebulus translations
- update patch 100
- nebulus 0.7.0

* Wed Jun 23 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.0-5mdk
- drop obsolete patches 50 and 51 to fix build on ppc

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-4mdk
- fix infinity doc section
- fix buildrequires
- infinity 0.5.8

* Sun Jun 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-3mdk
- add library package for goom
- add new files
- patch 112: diable mmx in goom
- upgrade goom to goom2k4-dev15
- reenable goom
- drop patches 110, 111
- infinity requires automake1.8
- infinity 0.5.7

* Tue Jun 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8.0-2mdk
- included missing vigor plugin
- included missing doc files
- fixed substitution going havoc (/me sux)
- disabled gooms (segfault)
- more cleanup

* Tue Jun 08 2004 Guillaume Rousse <guillomovitch@mandrakelinux.org> 1.8.0-1mdk 
- you dreamt of it: vigor xmms plugin
- fixed synaesthesia, bump_scope, jess and paranormal build
- fixed goom build (Gtz Waschk <waschk@linux-mandrake.com)
- spec cleanup
- patch renumbering

* Thu Jun  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-12mdk
- enable parallel build if possible
- fix patch12 for new libtool
- reenable libtoolize
- drop prefix
- fix buildrequires
- fix automake calls

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-11mdk
- infinity 0.5.6

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-10mdk
- infinity 0.5.5

* Sat May 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-9mdk
- infinity 0.5.4

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-8mdk
- infinity 0.5.3

* Tue May 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-7mdk
- new infinity 0.5.2

* Fri May  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-6mdk
- add infinity's translations
- fix infinity build
- drop patches 2,5
- new url for infinity
- infinity 0.4.0

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-5mdk
- don't run libtoolize
- iris 0.12

* Mon Oct  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7.0-4mdk
- Patch13: gforce-1.1.6xp3-dont-segfault-when-toggling-fullscreen-as-nonroot
- nebulus 0.6.0
- Patch14: xmms-nebulus-0.6.0-dont-stop-right-after-start

* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.7.0-3mdk
- patch12: fix multiline strings and gcc problem in goom
- patch11: fix multiline strings in wmdiscotux

* Mon Apr  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7.0-2mdk
- obsoletes xmms-goom

* Sat Apr  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7.0-1mdk
- own docdir (#3515)
- iris-0.11
- nebulus-0.5.0
- add goom

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.0-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.0-1mdk
- include "nebulus" plugin, IMO it's now the best of this package..
  quite impressive indeed, a "demo" feeling :-)

* Mon Jul 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-7mdk
- GForce: don't use "mkdirhier" but "mkdir -p", so that we don't depend
  on XFree86
- patch #10 to have -lsupc++ -lgcc_s, since gb decided that libtool should
  not handle that automatically (since libtool is not supposed to know if
  the program/shlib really depends on c++ stuff or not)

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.1-6mdk
- Automated rebuild with gcc3.2

* Wed Jul 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-5mdk
- rebuild to get rid of dep on libarts (it was through libSDL)
- new versions:
  - jess 2.9.1
  - iris 0.10 (seems stable now, move it out from unsafe)

* Wed May 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-4mdk
- rebuild with latest libtool to fix C++ linkage problem

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-3mdk
- rebuild for new alsa

* Fri Apr 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-2mdk
- switch back iris to unsafe plugin

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-1mdk
- Iris 0.9

* Fri Feb 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.0-2mdk
- ExclusiveArch: %%ix86 and ppc only -- doesn't work where sizeof(long) != 4.
  (snailtalk)

* Wed Jan 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.0-1mdk
- add Iris plugin (in unsafe section)
- bump
  - synaesthesia to 0.0.3-rc3
  - bump_scope to 0.0.3
- need to provide a more recent ltconfig for `paranormal', to make
  libtool not consider the unavailability of some XFree extensions as
  dynamic libs a failure condition

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4.0-5mdk
- remove i686 specifics in jess Makefile - alpha

* Thu Oct 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.0-4mdk
- remove i686 specifics in jess Makefile - PPC

* Wed Sep 19 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- upgrade Jess to 2.9.0

* Wed Aug 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0-2mdk
- fix BuildRequires

* Fri Jul 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- add Paranormal plugin

* Mon Jul  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-4mdk
- fix description-line-too-long

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-3mdk
- new SDL

* Tue Mar 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-2mdk
- update JESS version to 2.0.0 (rulz + no segfaults)

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.0-1mdk
- add G-Force (with DGA patch)
- updates
  - jakdaw-0.0.4
  - speakers-2.01
  - wmdiscotux-1.3
- create "unsafe" subpackage, and put Jess plugin in it

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-4mdk
- BuildRequires: libSDL1.1-devel

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-3mdk
- disable Jess plugin which segfaults a lot

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-2mdk
- recompile with xmms following new lib policy

* Mon Nov  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- add Jess plugin thanks to Lenny, Gtz Waschk <waschk@linux-mandrake.com>,
  Armando Montiel <amontiel@mpsnet.net.mx>
- fix compile with gcc-2.96

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-4mdk
- added full path for all plugins to ease further upgrade/maintaining
  of the package

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- BM

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- update: infinity-0.2
- update: synaesthesia-0.0.2beta
- new!: bump_scope
- scriptization
- new versioning system for this package

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-9mdk
- uncessary to put libinfinite.a in package

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- added `infinite' plugin

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- Use configure macros.
- BuildRequires: xmms-devel

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- first release as a separate SRPM
- added documentation from each plugin
